Download it now!
Bug 32621 - EasyHack: More robust ExternalMailer support
Summary: EasyHack: More robust ExternalMailer support
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:3.6.0
Keywords: easyHack
Depends on:
Blocks:
 
Reported: 2010-12-23 19:51 UTC by Dave Steele
Modified: 2015-12-18 09:57 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Patch to use standard desktop mail program for sending email (2.35 KB, patch)
2012-04-24 19:35 UTC, Dave Steele
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Steele 2010-12-23 19:51:55 UTC
The OpenOffice code base has a small number of acceptable external mail applications hard coded in the source. It is not possible to, for instance, have the application use the GNOME preferred mail application, even though the command line arguments match one of the supported formats. It would be good for LibreOffice to use the Preferred Application by default (gnome-open mailto:...), or allow the user to fully specify a command line for the external mailer, to support arbitrary mailers.
Comment 1 Björn Michaelsen 2011-12-23 11:33:37 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 2 Björn Michaelsen 2011-12-23 12:57:11 UTC
An EasyHack should have been checked by developers and thus is confirmed regardless of age. Moving back to NEW from NEEDINFO again. Sorry for the hassle.
Comment 3 Dave Steele 2012-04-24 19:35:27 UTC
Created attachment 60548 [details]
Patch to use standard desktop mail program for sending email

Patch to use gnome-open/xdg-open as a fallback for delivering mail on unix.
Comment 4 Not Assigned 2012-04-30 06:54:26 UTC
David Steele committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=77d4873ee653549eb8fb8761253f9feb1eea1c11

fdo#32621: Fall back to using the GNOME mailto URI handler if no valid mail program found
Comment 5 Michael Meeks 2012-05-08 13:26:41 UTC
Marking fixed then - thanks ! :-)
Comment 6 Robinson Tryon (qubit) 2015-12-18 09:57:23 UTC
Migrating Whiteboard tags to Keywords: (EasyHack)
[NinjaEdit]